﻿using Microsoft.AspNetCore.Components;
using WF_WebAdmin.Model;

namespace WF_WebAdmin.Pages
{
    public partial class DeleteUser
    {
        private User[] users;

        [Inject]
        public HttpClient Http { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }

        protected override async Task OnInitializedAsync()
        {
            users = await Http.GetFromJsonAsync<User[]>($"{NavigationManager.BaseUri}fake-dataUser.json");
        }
    }
}
